<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.12) on Sat Jul 09 19:13:26 CEST 2022 -->
<title>Serialized Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-07-09">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;com.abn.recipe.recipeservice.dto</h2>
<ul class="blockList">
<li class="blockList"><a id="com.abn.recipe.recipeservice.dto.BaseEntityDto">
<!--   -->
</a>
<h3>Class <a href="com/abn/recipe/recipeservice/dto/BaseEntityDto.html" title="class in com.abn.recipe.recipeservice.dto">com.abn.recipe.recipeservice.dto.BaseEntityDto</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>java.lang.Long id</pre>
</li>
<li class="blockListLast">
<h4>name</h4>
<pre>java.lang.String name</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="com.abn.recipe.recipeservice.dto.IngredientsDto">
<!--   -->
</a>
<h3>Class <a href="com/abn/recipe/recipeservice/dto/IngredientsDto.html" title="class in com.abn.recipe.recipeservice.dto">com.abn.recipe.recipeservice.dto.IngredientsDto</a> extends <a href="com/abn/recipe/recipeservice/dto/BaseEntityDto.html" title="class in com.abn.recipe.recipeservice.dto">BaseEntityDto</a> implements Serializable</h3>
</li>
<li class="blockList"><a id="com.abn.recipe.recipeservice.dto.PagedResultResponseDto">
<!--   -->
</a>
<h3>Class <a href="com/abn/recipe/recipeservice/dto/PagedResultResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">com.abn.recipe.recipeservice.dto.PagedResultResponseDto</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>currentPage</h4>
<pre>java.lang.Integer currentPage</pre>
</li>
<li class="blockList">
<h4>noOfRecords</h4>
<pre>java.lang.Integer noOfRecords</pre>
</li>
<li class="blockList">
<h4>records</h4>
<pre>java.util.Set&lt;<a href="com/abn/recipe/recipeservice/dto/PagedResultResponseDto.html" title="type parameter in PagedResultResponseDto">E</a>&gt; records</pre>
</li>
<li class="blockList">
<h4>totalElements</h4>
<pre>java.lang.Long totalElements</pre>
</li>
<li class="blockListLast">
<h4>totalPages</h4>
<pre>java.lang.Integer totalPages</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="com.abn.recipe.recipeservice.dto.RecipeDto">
<!--   -->
</a>
<h3>Class <a href="com/abn/recipe/recipeservice/dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">com.abn.recipe.recipeservice.dto.RecipeDto</a> extends <a href="com/abn/recipe/recipeservice/dto/BaseEntityDto.html" title="class in com.abn.recipe.recipeservice.dto">BaseEntityDto</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>ingredients</h4>
<pre>java.util.Set&lt;<a href="com/abn/recipe/recipeservice/dto/IngredientsDto.html" title="class in com.abn.recipe.recipeservice.dto">IngredientsDto</a>&gt; ingredients</pre>
</li>
<li class="blockList">
<h4>instructions</h4>
<pre>java.lang.String instructions</pre>
</li>
<li class="blockList">
<h4>servingQuantity</h4>
<pre>java.lang.Long servingQuantity</pre>
</li>
<li class="blockListLast">
<h4>vegetarian</h4>
<pre>boolean vegetarian</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="com.abn.recipe.recipeservice.dto.RecipeSearchRequestDto">
<!--   -->
</a>
<h3>Class <a href="com/abn/recipe/recipeservice/dto/RecipeSearchRequestDto.html" title="class in com.abn.recipe.recipeservice.dto">com.abn.recipe.recipeservice.dto.RecipeSearchRequestDto</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>2563376523116756970L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>ingredientsIn</h4>
<pre>java.util.Set&lt;java.lang.String&gt; ingredientsIn</pre>
</li>
<li class="blockList">
<h4>ingredientsNotIn</h4>
<pre>java.util.Set&lt;java.lang.String&gt; ingredientsNotIn</pre>
</li>
<li class="blockList">
<h4>instructionKeywords</h4>
<pre>java.util.Set&lt;java.lang.String&gt; instructionKeywords</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre>java.lang.String name</pre>
</li>
<li class="blockList">
<h4>pageRequest</h4>
<pre><a href="com/abn/recipe/recipeservice/dto/PageRequestDto.html" title="class in com.abn.recipe.recipeservice.dto">PageRequestDto</a> pageRequest</pre>
</li>
<li class="blockList">
<h4>servingQuantity</h4>
<pre>java.lang.Long servingQuantity</pre>
</li>
<li class="blockListLast">
<h4>vegetarian</h4>
<pre>java.lang.Boolean vegetarian</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="com.abn.recipe.recipeservice.dto.RecipesPagedResponseDto">
<!--   -->
</a>
<h3>Class <a href="com/abn/recipe/recipeservice/dto/RecipesPagedResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">com.abn.recipe.recipeservice.dto.RecipesPagedResponseDto</a> extends <a href="com/abn/recipe/recipeservice/dto/PagedResultResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">PagedResultResponseDto</a>&lt;<a href="com/abn/recipe/recipeservice/dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&gt; implements Serializable</h3>
</li>
<li class="blockList"><a id="com.abn.recipe.recipeservice.dto.ServiceResponseDto">
<!--   -->
</a>
<h3>Class <a href="com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">com.abn.recipe.recipeservice.dto.ServiceResponseDto</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>dto</h4>
<pre><a href="com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="type parameter in ServiceResponseDto">T</a> extends java.io.Serializable dto</pre>
</li>
<li class="blockList">
<h4>errorMessage</h4>
<pre>java.lang.String errorMessage</pre>
</li>
<li class="blockList">
<h4>responseId</h4>
<pre>java.lang.String responseId</pre>
</li>
<li class="blockListLast">
<h4>serviceResult</h4>
<pre><a href="com/abn/recipe/recipeservice/dto/ServiceResult.html" title="enum in com.abn.recipe.recipeservice.dto">ServiceResult</a> serviceResult</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;com.abn.recipe.recipeservice.entity</h2>
<ul class="blockList">
<li class="blockList"><a id="com.abn.recipe.recipeservice.entity.Ingredients">
<!--   -->
</a>
<h3>Class <a href="com/abn/recipe/recipeservice/entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity">com.abn.recipe.recipeservice.entity.Ingredients</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>java.lang.Long id</pre>
</li>
<li class="blockListLast">
<h4>name</h4>
<pre>java.lang.String name</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="com.abn.recipe.recipeservice.entity.Recipe">
<!--   -->
</a>
<h3>Class <a href="com/abn/recipe/recipeservice/entity/Recipe.html" title="class in com.abn.recipe.recipeservice.entity">com.abn.recipe.recipeservice.entity.Recipe</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>java.lang.Long id</pre>
</li>
<li class="blockList">
<h4>ingredients</h4>
<pre>java.util.Set&lt;<a href="com/abn/recipe/recipeservice/entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity">Ingredients</a>&gt; ingredients</pre>
</li>
<li class="blockList">
<h4>instructions</h4>
<pre>java.lang.String instructions</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre>java.lang.String name</pre>
</li>
<li class="blockList">
<h4>servingQuantity</h4>
<pre>java.lang.Long servingQuantity</pre>
</li>
<li class="blockListLast">
<h4>vegetarian</h4>
<pre>boolean vegetarian</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section role="region">
<h2 title="Package">Package&nbsp;com.abn.recipe.recipeservice.exception</h2>
<ul class="blockList">
<li class="blockList"><a id="com.abn.recipe.recipeservice.exception.ValidationException">
<!--   -->
</a>
<h3>Class <a href="com/abn/recipe/recipeservice/exception/ValidationException.html" title="class in com.abn.recipe.recipeservice.exception">com.abn.recipe.recipeservice.exception.ValidationException</a> extends java.lang.RuntimeException implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>errorType</h4>
<pre><a href="com/abn/recipe/recipeservice/exception/ErrorType.html" title="enum in com.abn.recipe.recipeservice.exception">ErrorType</a> errorType</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
